## Warnings commands

Commands Module - Warnings - Adds a commands that allow admins to warn other players

### Dependencies

expcore.commands
modules.control.warnings
expcore.common
config.warnings

### Commands

give-warning | Gives a warning to a player; may lead to automatic script action.
get-warnings | Gets the number of warnings a player has.
clear-warnings | Clears all warnings (and script warnings) from a player

### Dependencies

# expcore.commands
# modules.control.warnings
# expcore.common
# config.warnings

### Commands

# give-warning

  Gives a warning to a player; may lead to automatic script action.

  Command Parameters:
  - player : (LuaPlayer) the player the will recive a warning
  - reason : (string) the reason the player is being given a warning
# get-warnings

  Gets the number of warnings a player has.

  If no player then lists all players and the number of warnings they have.

  Command Parameters:
  - player : (LuaPlayer) the player to get the warning for, if nil all players are listed (default: list)
# clear-warnings

  Clears all warnings (and script warnings) from a player

  Command Parameters:
  - player : (LuaPlayer) the player to clear the warnings from